# Channels Results

## Get results of a channel on a specified day

<mark style="color:blue;">`GET`</mark> `https://api-v2.acrcloud.com/api/bm-hist-projects/:pid/channels/:channel_id/results`

#### Path Parameters

| Name        | Type   | Description    |
| ----------- | ------ | -------------- |
| pid         | number | The project id |
| channel\_id | number | The channel id |

#### Query Parameters

| Name | Type   | Description                                                                             |
| ---- | ------ | --------------------------------------------------------------------------------------- |
| date | string | Get the results for a certain day you specified. The format is YYYYmmdd (E.g. 20250221) |

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Authorization | string | Bearer token     |
| Accept        | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{
  "data": [
    {
      "status": {
        "msg": "Success",
        "code": 0,
        "version": "1.0"
      },
      "result_type": 0,
      "metadata": {
        "type": "historical",
        "timestamp_utc": "2025-02-21 10:20:25",
        "played_duration": 117,
        "record_timestamp": "20250221102025",
        "music": [
          {
            "title": "What You Know Bout Love",
            "artists": [
              {
                "name": "Pop Smoke"
              }
            ],
            "album": {
              "name": "Shoot For The Stars Aim For The Moon"
            },
            "release_date": "2020-07-03",
            "duration_ms": 160000,
            "score": 100,
            "acrid": "dda6ca5475ba126aa02b88ebe9b9b4cd",
            "external_ids": {
              "isrc": [
                "USUM72013339"
              ],
              "upc": [
                "00602507456573"
              ]
            }
          }
        ]
      }
    }
  ]
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Curl" %}

```bash
curl --location --request GET 'https://api-v2.acrcloud.com/api/bm-hist-projects/1/channels/243253/results?date=20250221' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {your token}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.acrcloud.com/reference/console-api/bm-projects/historical-results-projects/channels-results.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
